> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/39.-mutasyon-secili-geomaps-icin-ozel-renk-semalari-ayarla.md).

# 39. Mutasyon: Seçili "GeoMaps" için özel renk şemaları ayarla

"ZonesMaps", "SoilDatasets" veri katmanları için özel renk şemaları ayarlayın.&#x20;

Diğer veri katmanları ("YieldDataset", "TopographyMaps", "SatelliteImages") için destek yakında gelecek.

"GeoMap" öğesinin tüm özniteliklerini güncelleyin:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    kısaAd
    tamAd
    açıklama
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

Sadece "GeoMap" renk şemalarını güncelleyin:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    kısaAd
    tamAd
    açıklama
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

**ÖNEMLİ** mutasyonu nasıl kullanacağınızı öğrenmek için noktalar:

1. Öznitelikler `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`, ve `kısaAd` doğru üzerinde değişiklik yapmak için uygun "GeoMap"i tanımlamak zorunludur. Bu üç öznitelik birlikte "GeoMap"in benzersizliğini yansıtır.
2. Ya da `soilDatasetUuid` veya `vectorAnalysisMapUuid` özniteliği tek bir "GeoMap" girdisi başına kullanılmalıdır.
3. Değeri `kısaAd` "GeoMap"teki kaynakla aynı olmalıdır. Bu düzenlenemez.
4. Öznitelikler `tamAd`, `açıklama`, `hexColorCodes` "ZonesMaps" için düzenlenebilir ve değiştirilebilir. Öznitelik belirtilmemişse değişiklikler uygulanmaz.
5. Öznitelikler `tamAd`, `açıklama`, `classes`, `hexColorCodes` "SoilDatasets" için düzenlenebilir ve değiştirilebilir. Öznitelik belirtilmemişse değişiklikler uygulanmaz.
6. Diziler `classes` ve `hexColorCodes`  "GeoMap"teki kaynakla tam olarak aynı uzunlukta olmalıdır.
7. İstek ve yanıttaki "GeoMaps" dizilerinin uzunluğu aynı olmalıdır. Eğer değilse, bazı "GeoMaps" başarıyla düzenlenememiş demektir.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/39.-mutasyon-secili-geomaps-icin-ozel-renk-semalari-ayarla.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
